Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.virtual.plugins.context.vfs
Class AssembledContextFactory

    java.lang.Object
      org.jboss.virtual.plugins.context.vfs.AssembledContextFactory

    public class AssembledContextFactory

extends java.lang.Object

Factory for creating AssembledDirectory.

Version:
  $Revision: 1.1 $
Author:
  Bill Burke

Constructor Summary
`AssembledContextFactory()`

Method Summary
`AssembledDirectory` | `create(java.lang.String rootName)` Creates an assembly returning the root AssembledDirectory .
`AssembledDirectory` | `create(java.lang.String name, java.lang.String rootName)` Creates an assembly returning the root AssembledDirectory .
`AssembledDirectory` | `find(java.lang.String name)` Find an assembly.
`static AssembledContextFactory` | `getInstance()`
`void` | `remove(AssembledDirectory directory)` Remove an assembly
`static void` | `setInstance(AssembledContextFactory instance)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssembledContextFactory

    public AssembledContextFactory()

Method Detail

### create

    public AssembledDirectory create(java.lang.String name,
                                     java.lang.String rootName)

  Creates an assembly returning the root AssembledDirectory . Creates an assembly base and registers it with a local hashmap under name.

  Parameters:
    `name` - the name of this assembly
    `rootName` - the name of the root directory you want
  Returns:

### find

    public AssembledDirectory find(java.lang.String name)

  Find an assembly. Usually used only by the URL protocol handlers.

  Parameters:
    `name` -
  Returns:

### create

    public AssembledDirectory create(java.lang.String rootName)

  Creates an assembly returning the root AssembledDirectory . The assembly name will be randomly generated and registered with the internal hashmap registry.

  Parameters:
    `rootName` - the name of the root AssembledDirectory
  Returns:

### remove

    public void remove(AssembledDirectory directory)

  Remove an assembly

  Parameters:
    `directory` -

### getInstance

    public static AssembledContextFactory getInstance()

### setInstance

    public static void setInstance(AssembledContextFactory instance)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD